%define	module_name	XML-Parser
%define	enable_tests	0

%define	__find_provides	%{_libdir}/rpm/find-provides.perl
%define	__find_requires	%{_libdir}/rpm/find-requires.perl

Summary:	Perl extension interface to the expat XML parser library.
Name:		perl-%{module_name}
Version:	2.34
Release:	2
Group:		Applications/CPAN
License:	distributable
Source0:	%{module_name}-%{version}.tar.gz
Requires:	perl >= 5.8.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
URL:		http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/

%description
This is a Perl extension interface to James Clark's XML parser,
expat.  It requires at least version 5.004 of perl and it
requires that you have release 1.95.0 or greater of expat installed.

%files -f %{module_name}-%{version}-filelist
  %defattr(-,root,root)

%prep
%setup -q -n %{module_name}-%{version}

%build
  export OPTIMIZE="$RPM_OPT_FLAGS"
  export CFLAGS="$RPM_OPT_FLAGS"
  perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/%{_prefix} INSTALLDIRS=vendor
  make

  %if %{enable_tests}
    make test || :
  %endif

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install

  [ -x %{_prefix}/lib/rpm/brp-compress ] && %{_prefix}/lib/rpm/brp-compress

  # Kill unused files.
  find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

  # Build filelist.
  find $RPM_BUILD_ROOT/%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{module_name}-%{version}-filelist

  # Sanity check.
  if [ "$(cat %{module_name}-%{version}-filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.34, Release 2
  - Don't look for brp-compress in %{_libdir} as it doesn't
    work on 64bit systems.

* Thu Jul 14 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.34, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
